Package org.eclipse.emf.cdo.net4j

# Interface CDONet4jSession.Options

All Superinterfaces:
  `CDOCommonSession.Options`, `CDOSession.Options`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.options.IOptions`

All Known Subinterfaces:
  `CDOSession.Options`

Enclosing interface:
  `CDONet4jSession`

public static interface CDONet4jSession.Options extends CDOSession.Options
Encapsulates a set of notifying `session` configuration options.

Since:
  4.1
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession.Options

`CDOCommonSession.Options.LockNotificationEvent, CDOCommonSession.Options.LockNotificationMode, CDOCommonSession.Options.LockNotificationModeEvent, CDOCommonSession.Options.PassiveUpdateEvent, CDOCommonSession.Options.PassiveUpdateMode`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSession.Options

`CDOSession.Options.CollectionLoadingPolicyEvent, CDOSession.Options.DelegableViewLockEvent, CDOSession.Options.GeneratedPackageEmulationEvent, CDOSession.Options.LobCacheEvent, CDOSession.Options.PermissionUpdaterEvent, CDOSession.Options.PrefetchSendMaxRevisionKeysEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCommitTimeout()`
Returns the timeout for commit operations in seconds.
`org.eclipse.net4j.signal.ISignalProtocol<CDONet4jSession>`
`getNet4jProtocol()`
Returns the Net4j `protocol` instance that represents the underlying signalling connection to the repository of this session.
`int`
`getProgressInterval()`
Returns the interval for progress reports of commit operations in seconds.
`long`
`getSignalTimeout()`
`void`
`setCommitTimeout(int commitTimeout)`
Sets the timeout for commit operations in seconds.
`void`
`setProgressInterval(int progressInterval)`
Sets the interval for progress reports of commit operations in seconds.
`void`
`setSignalTimeout(long signalTimeout)`

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession.Options

`getLockNotificationMode, getPassiveUpdateMode, isLockNotificationEnabled, isPassiveUpdateEnabled, setLockNotificationEnabled, setLockNotificationMode, setPassiveUpdateEnabled, setPassiveUpdateMode`

### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSession.Options

`getCollectionLoadingPolicy, getContainer, getLobCache, getPermissionUpdater, getPrefetchSendMaxRevisionKeys, isDelegableViewLockEnabled, isGeneratedPackageEmulationEnabled, setCollectionLoadingPolicy, setDelegableViewLockEnabled, setGeneratedPackageEmulationEnabled, setLobCache, setPermissionUpdater, setPrefetchSendMaxRevisionKeys`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getNet4jProtocol

org.eclipse.net4j.signal.ISignalProtocol<CDONet4jSession> getNet4jProtocol()
Returns the Net4j `protocol` instance that represents the underlying signalling connection to the repository of this session.

### getSignalTimeout

long getSignalTimeout()

Since:
  4.5

### setSignalTimeout

void setSignalTimeout(long signalTimeout)

Since:
  4.5

### getCommitTimeout

int getCommitTimeout()
Returns the timeout for commit operations in seconds.

### setCommitTimeout

void setCommitTimeout(int commitTimeout)
Sets the timeout for commit operations in seconds.

### getProgressInterval

int getProgressInterval()
Returns the interval for progress reports of commit operations in seconds.

### setProgressInterval

void setProgressInterval(int progressInterval)
Sets the interval for progress reports of commit operations in seconds.